### Function

# Gio content_type_equals

#### Declaration [src]

    gboolean
    g_content_type_equals (
      const gchar* type1,
      const gchar* type2
    )

#### Description [src]

Compares two content types for equality.

#### Parameters

`type1`

  Type: `const gchar*`

  A content type string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`type2`

  Type: `const gchar*`

  A content type string.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if the two strings are identical or equivalent, `FALSE` otherwise.